unit M45Dial;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, M45Thr;

type
  TMyDialog = class(TForm)
    Memo: TMemo;
    BitBtn1: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    ComboBox: TComboBox;
  private
    { Private declarations }
  public
    { Public declarations }
    cancel:boolean;
    addcallback:procedure(s:string) of object;
    function Execute(const text:string;const defaulttext:string;slovnik:TSortStringList):string;
  end;

var
  MyDialog: TMyDialog;

implementation

{$R *.DFM}

function TMyDialog.Execute(const text:string;const defaulttext:string;slovnik:TSortStringList):string;
begin
  cancel:=false;
  slovnik.findpodobna(defaulttext,ComboBox.Items);
  Memo.Lines.text:=text;
  ComboBox.text:=defaulttext;
  case showmodal of
    mrOK:result:=Combobox.text;
    mrRetry:begin
              result:=ComboBox.text;
              if @addcallback<>nil then addcallback(defaulttext);
            end;
    mrCancel:cancel:=true;
  end;
end;

end.
